Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620148 - media-libs/fontconfig-infinality-20130404: breaks app-text/ghostscript-gpl-9.20-r1 (and ebuilds depending on ghostscript)
Summary: media-libs/fontconfig-infinality-20130404: breaks app-text/ghostscript-gpl-9....
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Fonts Team
URL:
Whiteboard:
Keywords:
Depends on: 634616
Blocks:
  Show dependency tree
 
Reported: 2017-05-29 15:02 UTC by Mateusz Lenik
Modified: 2019-04-18 22:11 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Lenik 2017-05-29 15:02:45 UTC
It seems that there was a related bug that was fixed in ghostscript-gpl-9.15 (https://bugs.gentoo.org/show_bug.cgi?id=436500#c11), but 9.20 is affected by this again.

Ghostscript is required to build several packages, like srecord, but infinality breaks it by banning Type 1 fonts.

$ echo "/Courier findfont" > test.ps && gs test.ps
GPL Ghostscript 9.20 (2016-09-26)
Copyright (C) 2016 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Can't find (or can't open) font file /usr/share/ghostscript/9.20/Resource/Font/NimbusMonL-Regu.
Can't find (or can't open) font file NimbusMonL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.20/Resource/Font/NimbusMonL-Regu.
Can't find (or can't open) font file NimbusMonL-Regu.
Querying operating system for font files...
Can't find (or can't open) font file /usr/share/ghostscript/9.20/Resource/Font/NimbusMonL-Regu.
Can't find (or can't open) font file NimbusMonL-Regu.
Didn't find this font on the system!
Unable to substitute for font.
Error: /invalidfont in /findfont
Operand stack:
   Courier
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1999   1   3   %oparray_pop   1998   1   3   %oparray_pop   1982   1   3   %oparray_pop   1868   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1951   1   3   %oparray_pop
Dictionary stack:
   --dict:1207/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--
Current allocation mode is local
Last OS error: No such file or directory


Commenting out this section of /etc/fonts/infinality/infinality.conf solves the issue:

  <!-- Ban Type-1 fonts because they render poorly --> 
  <!-- Comment this out to allow all Type 1 fonts -->
  <selectfont> 
    <rejectfont> 
      <pattern> 
        <patelt name="fontformat" > 
          <string>Type 1</string> 
        </patelt> 
      </pattern> 
    </rejectfont> 
  </selectfont> 

I believe this should be commented out by default to prevent the breakage of other packages.
Comment 1 jorgicio 2017-08-08 02:32:17 UTC
I have the same issue, so I commented that section previously mentioned and the issue is fixed.
Comment 2 Mark Wright gentoo-dev 2017-10-08 06:50:46 UTC
I reproduced a similar problem where media-gfx/sane-backends-1.0.27 failed to
build.  I left /etc/fonts/infinality/infinality.conf alone, and instead created
a hack ghostscript-gpl-9.22.ebuild, merged it, and then
media-gfx/sane-backends-1.0.27 builds fine.  So I think this problem will
be fixed when we bump app-text/ghostscript-gpl to 9.22 in portage.
Comment 3 Paul Jewell 2017-10-16 20:19:58 UTC
I had a problem on my computer where printing stopped working for no apparent reason. Recently I bought a new laptop and have just spent several hours trying to get printing working properly with my Samsung C430W, without any success. I disabled the section preventing type1 font selection as shown here and... printing is now working properly again. I will revert this change and confirm again when ghostscript-gpl is bumped to 9.22.
Comment 4 Pacho Ramos gentoo-dev 2019-04-18 22:11:17 UTC
it should be fixed with current ghostscript versions